Canvas5GraphInternal::PseudoShape Struct Reference

Internal[low level]: a pseudo class to store the data corresponding to a shape. More...

## Public Member Functions
| PseudoShape ()
| constructor

## Public Attributes
Shape | m_shape
| the shape
ShapeData | m_data
| the data shape

## Detailed Description

Internal[low level]: a pseudo class to store the data corresponding to a shape.

## Constructor & Destructor Documentation

## ◆ PseudoShape()

Canvas5GraphInternal::PseudoShape::PseudoShape | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_data

ShapeData Canvas5GraphInternal::PseudoShape::m_data

the data shape

Referenced by PseudoShape(), and Canvas5Graph::sendSpecial().

## ◆ m_shape

Shape Canvas5GraphInternal::PseudoShape::m_shape

the shape

Referenced by PseudoShape(), and Canvas5Graph::sendSpecial().

The documentation for this struct was generated from the following file:

- Canvas5Graph.cxx